List Calls
Retrieve a list of calls for your account.
List Calls
Retrieve a list of calls associated with your account. Use query parameters to filter results.
Endpoint
GET https://api.tryvox.io/v1/voice/accounts/{auth_id}/callsQuery Parameters
| Parameter | Type | Description |
|---|---|---|
| status | string | Filter by call status (ringing, in-progress, completed, failed, busy, no-answer, canceled) |
| direction | string | Filter by call direction (outbound, inbound) |
| from | string | Filter by caller number (E.164 format) |
| to | string | Filter by destination number (E.164 format) |
| page | integer | Page number for pagination (default: 1) |
| per_page | integer | Number of results per page (default: 20, max: 100) |
Example Request
curl -X GET "https://api.tryvox.io/v1/voice/accounts/your_auth_id/calls?status=completed&direction=outbound&page=1&per_page=20" \
-H "Authorization: Bearer tvx_sk_live_..."Response
{
"calls": [
{
"call_uuid": "650e8400-e29b-41d4-a716-446655440000",
"from": "+14155551234",
"to": "+14155556789",
"direction": "outbound",
"status": "completed",
"duration": 125,
"start_time": "2026-04-09T10:30:00Z",
"answer_time": "2026-04-09T10:30:05Z",
"end_time": "2026-04-09T10:32:10Z",
"end_reason": "caller-hangup"
},
{
"call_uuid": "750e8400-e29b-41d4-a716-446655440001",
"from": "+14155551234",
"to": "+14155557890",
"direction": "outbound",
"status": "completed",
"duration": 87,
"start_time": "2026-04-09T09:15:00Z",
"answer_time": "2026-04-09T09:15:03Z",
"end_time": "2026-04-09T09:16:30Z",
"end_reason": "callee-hangup"
}
],
"pagination": {
"page": 1,
"per_page": 20,
"total_pages": 5,
"total_count": 95
}
}Response Fields
Call Object
call_uuid- Unique identifier for the callfrom- Caller number (E.164 format)to- Destination number (E.164 format)direction- Call direction (outbound or inbound)status- Current call statusduration- Call duration in seconds (time from answer to end)start_time- When the call was initiatedanswer_time- When the call was answeredend_time- When the call endedend_reason- Reason the call ended (caller-hangup, callee-hangup, timeout, error, etc.)
Pagination Object
page- Current page numberper_page- Results per pagetotal_pages- Total number of pagestotal_count- Total number of matching calls
Call Status Values
ringing- Call is ringingin-progress- Call is activecompleted- Call ended successfullyfailed- Call failed to connectbusy- Callee was busyno-answer- Call was not answeredcanceled- Call was canceled before answer
Notes
- Results are sorted by
start_timein descending order (most recent first) - Maximum
per_pagevalue is 100 - Date filters can be added in future API versions